This commit is contained in:
whottgen 2004-09-29 20:25:33 +00:00
parent 9625f3b078
commit 6d68536b59
4 changed files with 320 additions and 301 deletions

575
smmapdfw/configure vendored
View File

@ -464,7 +464,7 @@ ac_includes_default="\
# include <unistd.h> # include <unistd.h>
#endif" #endif"
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO SET_MAKE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL verify_BUILD test_BUILD cyrus_BUILD LIBOBJS LTLIBOBJS' ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO SET_MAKE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL BDB_LIBS verify_BUILD test_BUILD cyrus_BUILD LIBOBJS LTLIBOBJS'
ac_subst_files='' ac_subst_files=''
# Initialize some variables set by options. # Initialize some variables set by options.
@ -19054,285 +19054,6 @@ fi
fi fi
echo "$as_me:$LINENO: checking for __db_ndbm_open in -ldb" >&5
echo $ECHO_N "checking for __db_ndbm_open in -ldb... $ECHO_C" >&6
if test "${ac_cv_lib_db___db_ndbm_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open ();
int
main ()
{
__db_ndbm_open ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db___db_ndbm_open=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db___db_ndbm_open=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db___db_ndbm_open" >&5
echo "${ECHO_T}$ac_cv_lib_db___db_ndbm_open" >&6
if test $ac_cv_lib_db___db_ndbm_open = yes; then
LIBS="$LIBS -ldb"
else
echo "$as_me:$LINENO: checking for __db_ndbm_open_4002 in -ldb" >&5
echo $ECHO_N "checking for __db_ndbm_open_4002 in -ldb... $ECHO_C" >&6
if test "${ac_cv_lib_db___db_ndbm_open_4002+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open_4002 ();
int
main ()
{
__db_ndbm_open_4002 ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db___db_ndbm_open_4002=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db___db_ndbm_open_4002=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db___db_ndbm_open_4002" >&5
echo "${ECHO_T}$ac_cv_lib_db___db_ndbm_open_4002" >&6
if test $ac_cv_lib_db___db_ndbm_open_4002 = yes; then
LIBS="$LIBS -ldb"
else
echo "$as_me:$LINENO: checking for __db_ndbm_open in -ldb41" >&5
echo $ECHO_N "checking for __db_ndbm_open in -ldb41... $ECHO_C" >&6
if test "${ac_cv_lib_db41___db_ndbm_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb41 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open ();
int
main ()
{
__db_ndbm_open ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db41___db_ndbm_open=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db41___db_ndbm_open=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db41___db_ndbm_open" >&5
echo "${ECHO_T}$ac_cv_lib_db41___db_ndbm_open" >&6
if test $ac_cv_lib_db41___db_ndbm_open = yes; then
LIBS="$LIBS -ldb41"
else
echo "$as_me:$LINENO: checking for __db_ndbm_open_4002 in -ldb42" >&5
echo $ECHO_N "checking for __db_ndbm_open_4002 in -ldb42... $ECHO_C" >&6
if test "${ac_cv_lib_db42___db_ndbm_open_4002+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb42 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open_4002 ();
int
main ()
{
__db_ndbm_open_4002 ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db42___db_ndbm_open_4002=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db42___db_ndbm_open_4002=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db42___db_ndbm_open_4002" >&5
echo "${ECHO_T}$ac_cv_lib_db42___db_ndbm_open_4002" >&6
if test $ac_cv_lib_db42___db_ndbm_open_4002 = yes; then
LIBS="$LIBS -ldb42"
else
{ { echo "$as_me:$LINENO: error: *** Berkeley DB not found" >&5
echo "$as_me: error: *** Berkeley DB not found" >&2;}
{ (exit 1); exit 1; }; }
fi
fi
fi
fi
echo "$as_me:$LINENO: checking for inet_aton in -lresolv" >&5 echo "$as_me:$LINENO: checking for inet_aton in -lresolv" >&5
@ -21185,7 +20906,7 @@ echo "$as_me: error: Need bdb-lib-dir" >&2;}
yes) yes)
;; ;;
*) *)
LDFLAGS="-L$withval" LDFLAGS="$LDFLAGS -L$withval"
;; ;;
esac esac
@ -21206,14 +20927,13 @@ echo "$as_me: error: Need bdb-inc-dir" >&2;}
yes) yes)
;; ;;
*) *)
CPPFLAGS="-I$withval" CPPFLAGS="$CPPFLAGS -I$withval"
;; ;;
esac esac
fi; fi;
ENABLE_VERIFY_CACHE=1 ENABLE_VERIFY_CACHE=1
# Check whether --enable-verify-cache or --disable-verify-cache was given. # Check whether --enable-verify-cache or --disable-verify-cache was given.
if test "${enable_verify_cache+set}" = set; then if test "${enable_verify_cache+set}" = set; then
@ -21223,6 +20943,294 @@ if test "${enable_verify_cache+set}" = set; then
fi; fi;
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
echo "$as_me:$LINENO: checking for __db_ndbm_open in -ldb" >&5
echo $ECHO_N "checking for __db_ndbm_open in -ldb... $ECHO_C" >&6
if test "${ac_cv_lib_db___db_ndbm_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open ();
int
main ()
{
__db_ndbm_open ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db___db_ndbm_open=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db___db_ndbm_open=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db___db_ndbm_open" >&5
echo "${ECHO_T}$ac_cv_lib_db___db_ndbm_open" >&6
if test $ac_cv_lib_db___db_ndbm_open = yes; then
BDB_LIBS="-ldb"
else
echo "$as_me:$LINENO: checking for __db_ndbm_open_4002 in -ldb" >&5
echo $ECHO_N "checking for __db_ndbm_open_4002 in -ldb... $ECHO_C" >&6
if test "${ac_cv_lib_db___db_ndbm_open_4002+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open_4002 ();
int
main ()
{
__db_ndbm_open_4002 ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db___db_ndbm_open_4002=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db___db_ndbm_open_4002=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db___db_ndbm_open_4002" >&5
echo "${ECHO_T}$ac_cv_lib_db___db_ndbm_open_4002" >&6
if test $ac_cv_lib_db___db_ndbm_open_4002 = yes; then
BDB_LIBS="-ldb"
else
echo "$as_me:$LINENO: checking for __db_ndbm_open in -ldb41" >&5
echo $ECHO_N "checking for __db_ndbm_open in -ldb41... $ECHO_C" >&6
if test "${ac_cv_lib_db41___db_ndbm_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb41 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open ();
int
main ()
{
__db_ndbm_open ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db41___db_ndbm_open=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db41___db_ndbm_open=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db41___db_ndbm_open" >&5
echo "${ECHO_T}$ac_cv_lib_db41___db_ndbm_open" >&6
if test $ac_cv_lib_db41___db_ndbm_open = yes; then
BDB_LIBS="-ldb41"
else
echo "$as_me:$LINENO: checking for __db_ndbm_open_4002 in -ldb42" >&5
echo $ECHO_N "checking for __db_ndbm_open_4002 in -ldb42... $ECHO_C" >&6
if test "${ac_cv_lib_db42___db_ndbm_open_4002+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb42 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open_4002 ();
int
main ()
{
__db_ndbm_open_4002 ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db42___db_ndbm_open_4002=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db42___db_ndbm_open_4002=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db42___db_ndbm_open_4002" >&5
echo "${ECHO_T}$ac_cv_lib_db42___db_ndbm_open_4002" >&6
if test $ac_cv_lib_db42___db_ndbm_open_4002 = yes; then
BDB_LIBS="-ldb42"
else
BDB_NOT_FOUND=1
fi
fi
fi
fi
fi
if test "x$BDB_NOT_FOUND" = "x1"; then
echo "*** no db/dbm found, disabling verify cache"
ENABLE_VERIFY_CACHE=0
fi
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<_ACEOF
#define ENABLE_VERIFY_CACHE ${ENABLE_VERIFY_CACHE} #define ENABLE_VERIFY_CACHE ${ENABLE_VERIFY_CACHE}
_ACEOF _ACEOF
@ -21938,6 +21946,7 @@ s,@F77@,$F77,;t t
s,@FFLAGS@,$FFLAGS,;t t s,@FFLAGS@,$FFLAGS,;t t
s,@ac_ct_F77@,$ac_ct_F77,;t t s,@ac_ct_F77@,$ac_ct_F77,;t t
s,@LIBTOOL@,$LIBTOOL,;t t s,@LIBTOOL@,$LIBTOOL,;t t
s,@BDB_LIBS@,$BDB_LIBS,;t t
s,@verify_BUILD@,$verify_BUILD,;t t s,@verify_BUILD@,$verify_BUILD,;t t
s,@test_BUILD@,$test_BUILD,;t t s,@test_BUILD@,$test_BUILD,;t t
s,@cyrus_BUILD@,$cyrus_BUILD,;t t s,@cyrus_BUILD@,$cyrus_BUILD,;t t

View File

@ -30,19 +30,6 @@ AC_CHECK_LIB(pthread, pthread_create,
) )
) )
AC_CHECK_LIB([db], [__db_ndbm_open],
[ LIBS="$LIBS -ldb" ],
AC_CHECK_LIB([db], [__db_ndbm_open_4002],
[ LIBS="$LIBS -ldb" ],
AC_CHECK_LIB([db41], [__db_ndbm_open],
[ LIBS="$LIBS -ldb41" ],
AC_CHECK_LIB([db42], [__db_ndbm_open_4002],
[ LIBS="$LIBS -ldb42" ],
[ AC_MSG_ERROR([*** Berkeley DB not found]) ]
)
)
)
)
AC_CHECK_LIB([resolv], [inet_aton]) AC_CHECK_LIB([resolv], [inet_aton])
AC_CHECK_LIB([socket], [connect]) AC_CHECK_LIB([socket], [connect])
@ -84,7 +71,7 @@ AC_ARG_WITH(bdb-lib-dir,
yes) yes)
;; ;;
*) *)
LDFLAGS="-L$withval" LDFLAGS="$LDFLAGS -L$withval"
;; ;;
esac ] esac ]
) )
@ -101,13 +88,12 @@ AC_ARG_WITH(bdb-inc-dir,
yes) yes)
;; ;;
*) *)
CPPFLAGS="-I$withval" CPPFLAGS="$CPPFLAGS -I$withval"
;; ;;
esac ] esac ]
) )
ENABLE_VERIFY_CACHE=1 ENABLE_VERIFY_CACHE=1
AC_ARG_ENABLE(verify-cache, AC_ARG_ENABLE(verify-cache,
[AC_HELP_STRING(--enable-verify-cache, [ [AC_HELP_STRING(--enable-verify-cache, [
@ -117,6 +103,30 @@ AC_ARG_ENABLE(verify-cache,
if test "x$enableval" = xyes; then ENABLE_VERIFY_CACHE=1; fi if test "x$enableval" = xyes; then ENABLE_VERIFY_CACHE=1; fi
if test "x$enableval" = xno; then ENABLE_VERIFY_CACHE=0; fi if test "x$enableval" = xno; then ENABLE_VERIFY_CACHE=0; fi
) )
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
AC_CHECK_LIB([db], [__db_ndbm_open],
[ BDB_LIBS="-ldb" ],
AC_CHECK_LIB([db], [__db_ndbm_open_4002],
[ BDB_LIBS="-ldb" ],
AC_CHECK_LIB([db41], [__db_ndbm_open],
[ BDB_LIBS="-ldb41" ],
AC_CHECK_LIB([db42], [__db_ndbm_open_4002],
[ BDB_LIBS="-ldb42" ],
BDB_NOT_FOUND=1
)
)
)
)
fi
AC_SUBST(BDB_LIBS)
if test "x$BDB_NOT_FOUND" = "x1"; then
echo "*** no db/dbm found, disabling verify cache"
ENABLE_VERIFY_CACHE=0
fi
AC_DEFINE_UNQUOTED(ENABLE_VERIFY_CACHE, ${ENABLE_VERIFY_CACHE}, [enable verify cache]) AC_DEFINE_UNQUOTED(ENABLE_VERIFY_CACHE, ${ENABLE_VERIFY_CACHE}, [enable verify cache])
verify_BUILD= verify_BUILD=

View File

@ -2,7 +2,7 @@ lib_LTLIBRARIES = @verify_BUILD@
EXTRA_LTLIBRARIES = libverify_worker.la EXTRA_LTLIBRARIES = libverify_worker.la
libverify_worker_la_SOURCES = verify_worker.c libverify_worker_la_SOURCES = verify_worker.c
libverify_worker_la_LIBADD = ../libsmmapdfw/libsmmapdfw.la libverify_worker_la_LIBADD = ../libsmmapdfw/libsmmapdfw.la @BDB_LIBS@
INCLUDES = -I../libsmmapdfw INCLUDES = -I../libsmmapdfw

View File

@ -93,7 +93,7 @@ lib_LTLIBRARIES = @verify_BUILD@
EXTRA_LTLIBRARIES = libverify_worker.la EXTRA_LTLIBRARIES = libverify_worker.la
libverify_worker_la_SOURCES = verify_worker.c libverify_worker_la_SOURCES = verify_worker.c
libverify_worker_la_LIBADD = ../libsmmapdfw/libsmmapdfw.la libverify_worker_la_LIBADD = ../libsmmapdfw/libsmmapdfw.la @BDB_LIBS@
INCLUDES = -I../libsmmapdfw INCLUDES = -I../libsmmapdfw
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs